gsm0808_cell_id_list Struct Reference

DEPRECATED: This definition of the cell identifier list is insufficient. More...

`#include <gsm_08_08.h>`

## Data Fields

uint8_t | id_discr
uint16_t | id_list_lac [CELL_ID_LIST_LAC_MAXLEN]
unsigned int | id_list_len

## Detailed Description

DEPRECATED: This definition of the cell identifier list is insufficient.

It cannot support all types of cell identifiers. Use struct gsm0808_cell_id_list2 in gsm0808_utils.h instead.

3GPP TS 48.008 3.2.2.27 Cell Identifier List

## Field Documentation

## id_discr

uint8_t gsm0808_cell_id_list::id_discr

Referenced by gsm0808_create_paging(), gsm0808_dec_cell_id_list(), and gsm0808_enc_cell_id_list().

## id_list_lac

uint16_t gsm0808_cell_id_list::id_list_lac[CELL_ID_LIST_LAC_MAXLEN]

Referenced by gsm0808_create_paging(), gsm0808_dec_cell_id_list(), and gsm0808_enc_cell_id_list().

## id_list_len

unsigned int gsm0808_cell_id_list::id_list_len

Referenced by gsm0808_create_paging(), gsm0808_dec_cell_id_list(), and gsm0808_enc_cell_id_list().

The documentation for this struct was generated from the following file:

- include/osmocom/gsm/protocol/gsm_08_08.h